PKG_LOCATE(1)

NAME
pkg_locate - find files in OpenBSD packages quickly

SYNOPSIS
pkg_locate [-bciS] [-l limit] pattern ...

DESCRIPTION
pkg_locate searches a database of files for all pathnames which match the specified pattern. The options for pkg_locate are the same as for locate(1), which is used internally.

There are two flavors of the pkglocatedb package: installed as pkglocatedb, providing a database with all files in OpenBSD packages; and pkglocatedb-src, providing the same database including all installation set files.

The search result for OpenBSD package files has the following format:

    fullpkgname:pkgpath:pathname

where fullpkgname is the name of the package (see bsd.port.mk(5)) without the trailing .tgz, pkgpath is the location within the ports tree (see pkgpath(7)) and pathname is the absolute pathname of the installed file.

The search result for base system and X Window System files has the following format:

    srcdir/setname:setfilename:pathname

where srcdir is "src" for base system or "xenocara" for X Window System, setname is the name of the install set, setfilename is the name of the install set file including the release version without the .tgz suffix, and pathname is the absoute pathname of the installed file.

The options are as follows:

-b  For each entry in the database, perform the search on the last component of path.

-c  Suppress normal output; instead print a count of matching file names.

-i  Ignore case distinctions in both the pattern and the database.

-l limit
    Limit output to a specific number of files and exit.

-S  Print some statistics about the database and exit.

FILES
/usr/local/share/pkglocatedb
    locate database containing information about files in OpenBSD packages and optionally in the OpenBSD installation sets.

SEE ALSO
locate(1), bsd.port.mk(5), pkgpath(7)

AUTHORS
Marc Espie <espie@openbsd.org>